### Method

# Gimp Drawable threshold

deprecated: 3.2 since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_threshold (
      GimpDrawable* drawable,
      GimpHistogramChannel channel,
      gdouble low_threshold,
      gdouble high_threshold
    )

#### Description [src]

Threshold the specified drawable.

This procedures generates a threshold map of the specified drawable. All pixels between the values of ‘low_threshold’ and ‘high_threshold’, on the scale of ‘channel’ are replaced with white, and all other pixels with black.

Available since: 2.10

Deprecated since: 3.2

Use filter “gimp:threshold” instead.

#### Parameters

`channel`

  Type: `GimpHistogramChannel`

  The channel to base the threshold on.

`low_threshold`

  Type: `gdouble`

  The low threshold value.

`high_threshold`

  Type: `gdouble`

  The high threshold value.

#### Return value

Type: `gboolean`

TRUE on success.